Bug 196124 - partitionable raid (/dev/md0p) support
partitionable raid (/dev/md0p) support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-21 05:19 EDT by Avi Kivity
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-25 21:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Avi Kivity 2006-06-21 05:19:20 EDT
Description of problem:

Anaconda currently supports only regular RAID devices (/dev/md0), which 
provide just a single volume or partition.  This forces a minimal RAID 
installation to:
 - create partitions on /dev/sda and /dev/sdb
 - create two raid devices, /dev/md0 and /dev/md1
 - set up /boot on /dev/md0 and LVM on /dev/md1

on drive failure, the user is forced to recreate the partition table on the 
new disk, and rebuild the two RAID arrays.

In contrast, if partitionable RAID were supported, installation, recovery, 
would be much simpler and more intuitive.

Installation:

 - create /dev/md0p from /dev/sda and /dev/sdb
 - partition /dev/md0p
 - create /boot and LVM

Recovery:
 - add the new /dev/sdb to the array; the partition table is part of the array 
and therefore mirrored automatically

Version-Release number of selected component (if applicable):
anaconda-11.0.5-1

How reproducible:
always

Steps to Reproduce:
1. install on a machine with two disks
2. groan as you are forced to duplicate the RAID setup for every partition you 
create
3. cry when you have to partition your new disk and hot-add every partition 
when you recover
  
Actual results:
tears

Expected results:
happy smiles as you create, managem, and recover just one RAID device for all 
partitions
Comment 1 Avi Kivity 2006-06-21 05:32:44 EDT
If this is implemented, a new feature becomes easy to implement: RAID 
retrofit.  Currently, if you install a system without RAID, then add a disk, 
it is impossible for the average user to mirror the two disks.

If partitionable RAID support is added, we could default to setting up 
partitionable RAID even with a single disk. If, later, a disk is added, one 
command will add it to the RAID.
Comment 2 Jeremy Katz 2006-06-25 21:27:53 EDT
LVM already gives you the ability to partition the RAID device... adding support
for another way of doing things is just likely to a) make the UI even more
confusing and b) make it more likely for things to fail in unexpected ways.
Comment 3 Avi Kivity 2006-06-27 03:12:56 EDT
LVM can parition a RAID device, but one cannot boot from LVM; this means you 
need at least two RAID devices _and_ the old msdos partitioning.

It will make the UI a lot _less_ confusing if you hide the non-partitionable 
RAID behind some 'advanced' button and make partitionable RAID the default.

I recently walked a Windows admin through the process of setting up RAID 
during installation. It is remarkable complex and non-intuitive.  In addition, 
the probability of a non-guru recovering from a disk failure with 
non-partitionable RAID is very low in my opinion: you have to repartition the 
disk manually and rebuild at least two RAID devices.

Please reconsider.  Having a RAID per partition is very clunky compared to 
RAID per disk.  Or at least add a UI for recovery.

Alternatively, if one could boot from LVM we wouldn't need this, but mdp is 
here and LVM boot is not.

Note You need to log in before you can comment on or make changes to this bug.